[PATCH] t5516: test update of local refs on push

Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]
From: Jeff King
Date: Wednesday, October 17, 2007 - 11:17 pm

The first test (updating local refs) should succeed, but the
second one (not updating on error) currently fails.

Signed-off-by: Jeff King <peff@peff.net>
---
 t/t5516-fetch-push.sh |   28 ++++++++++++++++++++++++++++
 1 files changed, 28 insertions(+), 0 deletions(-)

diff --git a/t/t5516-fetch-push.sh b/t/t5516-fetch-push.sh
index ca46aaf..dd329d7 100755
--- a/t/t5516-fetch-push.sh
+++ b/t/t5516-fetch-push.sh
@@ -244,4 +244,32 @@ test_expect_success 'push with colon-less refspec (4)' '
 
 '
 
+test_expect_success 'push updates local refs' '
+
+	rm -rf parent child &&
+	mkdir parent && cd parent && git init &&
+		echo one >foo && git add foo && git commit -m one &&
+	cd .. &&
+	git clone parent child && cd child &&
+		echo two >foo && git commit -a -m two &&
+		git push &&
+	test $(git rev-parse master) = $(git rev-parse remotes/origin/master)
+
+'
+
+test_expect_success 'push does not update local refs on failure' '
+
+	rm -rf parent child &&
+	mkdir parent && cd parent && git init &&
+		echo one >foo && git add foo && git commit -m one &&
+		echo exit 1 >.git/hooks/pre-receive &&
+		chmod +x .git/hooks/pre-receive &&
+	cd .. &&
+	git clone parent child && cd child &&
+		echo two >foo && git commit -a -m two || exit 1
+		git push && exit 1
+	test $(git rev-parse master) != $(git rev-parse remotes/origin/master)
+
+'
+
 test_done
-- 
1.5.3.4.1162.gc3e8e-dirty

-
To unsubscribe from this list: send the line "unsubscribe git" in
the body of a message to majordomo@vger.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Previous message: [thread] [date] [author]
Next message: [thread] [date] [author]

Messages in current thread:
bug: origin refs updated too soon locally, Perry Wagle, (Wed Oct 17, 6:35 pm)
Re: bug: origin refs updated too soon locally, Perry Wagle, (Wed Oct 17, 6:43 pm)
Re: bug: origin refs updated too soon locally, Shawn O. Pearce, (Wed Oct 17, 9:53 pm)
Re: bug: origin refs updated too soon locally, Jeff King, (Wed Oct 17, 10:28 pm)
[PATCH] t5516: test update of local refs on push, Jeff King, (Wed Oct 17, 11:17 pm)
Re: [PATCH] t5516: test update of local refs on push, Jeff King, (Wed Oct 17, 11:21 pm)
Re: [PATCH] t5516: test update of local refs on push, Shawn O. Pearce, (Wed Oct 17, 11:59 pm)